package com.lantone.qc.kernel.catalogue.ninghaiyiyi.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @ClassName : BEH02988
 * @Description :  主诉未填写
 * @Author : 胡敬
 * @Date: 2020-06-23 19:35
 */
@Component
public class BEH02988 extends QCCatalogue {
    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        if (inputInfo.getBeHospitalizedDoc().getChiefLabel() == null
                && StringUtil.isBlank(inputInfo.getBeHospitalizedDoc().getChiefLabel().getText())) {
            status.set("-1");
        }
    }
}